> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Verification

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Retrieve an AccountVerificationSession object by its ID.

## Path Parameters

<ParamList
  items={[
{
name: 'acc_id',
type: 'string',
required: true,
description: 'ID of the Account.',
},
{
name: 'avf_id',
type: 'string',
required: true,
description: 'ID of the AccountVerificationSession.',
},
]}
/>

## Returns

Returns an AccountVerificationSession object.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_9WBBA6TH7n7iX \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const response = await method
    .accounts('acc_yVf3mkzbhz9tj')
    .verificationSessions
    .retrieve('avf_9WBBA6TH7n7iX');
  ```

  ```python Python theme={null}
  response = method
    .accounts('acc_yVf3mkzbhz9tj')
    .verification_sessions
    .retrieve('avf_9WBBA6TH7n7iX')
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "avf_DjkdemgTQfqRD",
    "status": "pending",
    "error": null,
    "type": "pre_auth",
    "pre_auth": {
        "exp_year": "xxxx",
        "exp_month": "xx",
        "exp_check": null,
        "cvv": null,
        "cvv_check": null,
        "billing_zip_code": "xxxxx",
        "billing_zip_code_check": null,
        "number": "xxxxxxxxxxxxxxxx",
        "pre_auth_check": null
    },
    "created_at": "2024-03-14T02:02:24.862Z",
    "updated_at": "2024-03-14T02:02:24.862Z"
  }
  ```
</ResponseExample>
